%define		_snap	20080813
Summary:	Enlightenment Database Access Library
Summary(pl.UTF-8):	Biblioteka Enlightementa dostępu do baz danych
Name:		edb
Version:	1.0.5.043
Release:	0.%{_snap}.4
License:	BSD
Group:		Libraries
Source0:	%{name}-%{version}-%{_snap}.tar.bz2
# Source0-md5:	e5d58d14f0333b2b292a23153cee8da3
URL:		http://enlightenment.org/Libraries/Edb/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
# only for configure
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Edb is a simple, clean high-level db access/storage library.

%description -l pl.UTF-8
Edb jest prostą biblioteką wysokiego poziomu umożliwiającą
dostęp/zapisywanie danych w bazach.

%package devel
Summary:	Header files and libraries for edb development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla edb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and documentation needed for developing edb programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja umożliwiające rozwijanie programów
korzystających z biblioteki edb.

%package static
Summary:	Static version of edb library
Summary(pl.UTF-8):	Statyczna wersja biblioteki edb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of edb library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki edb.

%package gtk
Summary:	GTK+ editor of databases
Summary(pl.UTF-8):	Edytor baz oparty na GTK+
Group:		X11/Applications

%description gtk
GTK+ editor of databases.

%description gtk -l pl.UTF-8
Edytor baz danych oparty na GTK+.

%prep
%setup -q -n %{name}-%{version}-%{_snap}

%build
CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"; export CFLAGS
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk \
	--enable-ncurses

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%attr(755,root,root) %{_bindir}/edb_ed
%attr(755,root,root) %{_bindir}/edb_vt_ed
%attr(755,root,root) %{_libdir}/libedb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedb.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedb.so
%{_libdir}/libedb.la
%{_includedir}/Edb.h
%{_pkgconfigdir}/edb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libedb.a

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/edb_gtk_ed
%changelog
* Mon Mar 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/edb.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> e5643d4
- rel 4

* Sat Jan 21 2012 zbyniu <zbyniu@pld-linux.org> 3e0a4ae
- rel .3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f9cf2c
- rel .2

* Mon Aug 25 2008 pablo <pablo@pld-linux.org> 31e7744
- updated to 20080813 snap

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 0f2d2a7
- ghost soname symlink
- updated ac/am BRs

* Sun Jun 01 2008 Bartłomiej Zimoń <cactus@pld-linux.org> fb8da92
- up to 1.0.5.042
- rel 1

* Thu Nov 08 2007 twittner <twittner@pld-linux.org> 0c7894d
- rel. 2

* Sat Sep 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 9c40eb6
- more verbose files, deps cleanup

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3c2cb57
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 764c654
- converted to UTF-8

* Mon Apr 17 2006 sparky <sparky@pld-linux.org> cf71e48
- BR zlib-devel

* Mon Apr 17 2006 sparky <sparky@pld-linux.org> 830e579
- obsolete

* Mon Apr 17 2006 sparky <sparky@pld-linux.org> 8589d35
- merged from DEVEL

* Thu Aug 25 2005 Karol Krenski <charles@pld-linux.org> 2650283
- proper URL

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> a013fdf
- "GTK+" unification (hope thats all)

* Wed Oct 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 8f5d3ce
- updated to 1.0.5, updated ac_fix patch

* Wed Oct 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 8d38bca
- updated for 1.0.5

* Fri Oct 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 75ab62b
- killed _x11bindir

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> 21d7a50
- cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> de64e73
- massive attack: source-md5

